package com.ruoyi.cai.notice.data;

import com.ruoyi.cai.notice.data.child.MessageSendGiftMessageData;
import com.ruoyi.cai.notice.data.child.MessageSendRechargeWindowsAmountData;
import com.ruoyi.cai.notice.enums.MessageBaseTypeEnum;
import lombok.Data;

@Data
public class MessageSendGiftMessageNew extends MessageBaseData{

    private MessageSendGiftMessageData data;

    public MessageSendGiftMessageNew(MessageBaseTypeEnum typeEnum) {
        this.setType(typeEnum.getCode());
    }

    public MessageSendGiftMessageNew() {
    }

}
